ExecuteAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Automation.ExecuteAutomation(ctx, operations.C1APIAutomationsV1AutomationServiceExecuteAutomationRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ExecuteAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automation.executeAutomation({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/automations/{id}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"context": {}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/automations/{id}/execute"
payload = { "context": { "context": {} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({context: {context: {}}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/automations/{id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "<string>"
}Automations
Execute Automation
Trigger an on-demand execution of an automation, returning the new execution’s identifier.
POST
/
api
/
v1
/
automations
/
{id}
/
execute
ExecuteAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Automation.ExecuteAutomation(ctx, operations.C1APIAutomationsV1AutomationServiceExecuteAutomationRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ExecuteAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automation.executeAutomation({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the automation to execute.
Body
application/json
The ExecuteAutomationRequest message.
The AutomationContext message.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The ExecuteAutomationResponse message.
The unique identifier of the newly created execution.
Was this page helpful?
⌘I